curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Erstellen Sie einen Batch mit Eigenschaften nach denselben Regeln wie beim Erstellen einer einzelnen Eigenschaft.
curl --request POST \
--url https://api.hubapi.com/crm/properties/2026-03/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"fieldType": "booleancheckbox",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"type": "bool",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"numberDisplayHint": "currency",
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"dataSensitivity": "highly_sensitive",
"dateDisplayHint": "absolute",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"numberDisplayHint": "currency",
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Der Zeitstempel, der angibt, wann der Batch-Vorgang abgeschlossen wurde.
Show child attributes
Der Zeitstempel, der angibt, wann der Batch-Vorgang mit der Verarbeitung begonnen hat.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten CANCELED, COMPLETE, PENDING oder PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Sammlung von URLs, die auf Dokumentationen oder Ressourcen verweisen, die sich auf den Batch-Vorgang beziehen.
Show child attributes
Der Zeitstempel, der angibt, wann der Batch-Vorgang angefragt wurde.